Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006982opensim[GRID] Inventory Servicepublic2014-01-29 16:142014-08-15 19:48
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad Core 32GBOSWindowsOS VersionServer 2012 64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006982: Friends online and inventory not working well when logging into a sim with many prims surrounded by sims with older software.
DescriptionI had 1 instance running 3 sims. When you log directly into this 1 sim, friends online status and inventory did not work on 1 of the 3 sims. The only difference is that the 1 sim was located closer to OSGrid center and had a few neighbors, some of which were running older software on their sims. I moved this sim temporarily away from neighbors and the problem went away. I moved the sim so it had neighbors that were also running the latest dev master software and the problem went away. I moved it back to its original location and the problem came back. I delete ALL the prims from this sim, and then it kinda worked although it was very slow. More recently, I changed the software to use the Justincc-master rather than the dev master and the problem went away.
Steps To Reproduce1. Clear cache in viewer.
2. Log into osgrid directly to "Test Sim". It is surrounded by sims on several sides with older software and 1 side with newer software.
3. Friends online status usually will not work on login.
4. Inventory may sometimes start loading eventually, but usually has a long pause.
5. If inventory ever finishes loading, friends online status will sometimes suddenly start working.
Additional InformationI tried using the latest Justincc-Master branch and the problem went away, so the issue appears to be cause by something that is currently in the latest dev master and NOT in the Justincc-Master branch.

I tested code in the Dev Master as far back as commit 82ebb86d5808847fefcbe1affe24201ce4270ac2 and the problem is still there.

As far as I can tell, everything in the simulator log file looks pretty normal. The problem is obviously related to having neighbors that are running older simulator software.
TagsNo tags attached.
Git Revision or version numberr24299
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm, Singularity et
Attached Files

- Relationships
child of 0006988assignedmelanie Master report for issues caused by Avinaion code drop - please link issues that qualify to this as children 

-  Notes
(0025109)
kenvc (reporter)
2014-02-02 12:51
edited on: 2014-02-02 13:42

Just loaded the LK Mall on "Test Sim" to simulate a lot of prims and what happens then. Logging directly into this sim in OSGrid directly should result in your friends online status not loading even if your cache has not been cleared prior to login. This sim should now show the problem described in this mantis.

If you directly login to OSGrid into a sim that is not surrounded by sims with old software or inactive sims, the Friends online status works just fine. It seems that nearby sims with old software (or sim that are offline) is causing some type of issue with the latest dev master in the form of something like thread starvation.

(0025110)
kenvc (reporter)
2014-02-02 13:46

I just retested this on a viewer running on the same LAN where the server is located with a fast viewer connection and the problem is still there. Now not sure if this issue is related to viewer connection speed in any way at all.
(0025112)
kenvc (reporter)
2014-02-03 08:48
edited on: 2014-02-03 15:35

Now that OSGrid has been updated to dev master, it appears this same issue is sometimes happening when you login to OSGrid at Wright Plaza. The online status will eventually show if you wait long enough.

The justincc-master code has been loading almost immediately so whatever is causing this is apparently something that is not in that branch, but its also a possibility that it doesn't happen to everyone. I had help someone move a sim to a remote area because of this issue so I know I'm not the only one it is happening to.


- Issue History
Date Modified Username Field Change
2014-01-29 16:14 kenvc New Issue
2014-01-31 08:12 kenvc Note Added: 0025092
2014-01-31 08:17 kenvc Description Updated View Revisions
2014-01-31 08:17 kenvc Steps to Reproduce Updated View Revisions
2014-01-31 17:15 kenvc Note Edited: 0025092 View Revisions
2014-01-31 17:18 kenvc Relationship added child of 0006988
2014-02-02 11:12 kenvc Note Edited: 0025092 View Revisions
2014-02-02 11:14 kenvc Steps to Reproduce Updated View Revisions
2014-02-02 11:30 kenvc Steps to Reproduce Updated View Revisions
2014-02-02 12:51 kenvc Note Added: 0025109
2014-02-02 12:51 kenvc Note Deleted: 0025092
2014-02-02 13:42 kenvc Note Edited: 0025109 View Revisions
2014-02-02 13:46 kenvc Note Added: 0025110
2014-02-03 08:48 kenvc Note Added: 0025112
2014-02-03 15:35 kenvc Note Edited: 0025112 View Revisions
2014-02-03 15:35 kenvc Note Edited: 0025112 View Revisions
2014-02-05 11:39 kenvc Summary Friends online and inventory will not work when logging into a sim with many prims surrounded by sims with older software. => Friends online and inventory not working well when logging into a sim with many prims surrounded by sims with older software.
2014-02-06 13:38 kenvc Description Updated View Revisions
2014-02-06 13:38 kenvc Steps to Reproduce Updated View Revisions
2014-08-15 19:47 kenvc Status new => resolved
2014-08-15 19:47 kenvc Fixed in Version => master (dev code)
2014-08-15 19:47 kenvc Resolution open => fixed
2014-08-15 19:47 kenvc Assigned To => kenvc
2014-08-15 19:48 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker